proc pngeninsttemplate {} {
  cd C:/School/Project/MPSoC/Multiprocs
  xload xmp Multiprocs.xmp
  if { [catch {run mhs2hdl} result] } {
    return -1
  }
  return 0
}
if { [catch {pngeninsttemplate} result] } {
  exit -1
}
exit $result
